# This specfile is licensed under:
#
# Copyright (C) 2024 Maxwell G <maxwell@gtmx.me>
# Copyright (C) Fedora Project Authors
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT.html

Name:           moby-packaging
Version:        1.0.0
Release:        1%{?dist}
Summary:        Macros and filesystem package for the Moby/Docker stack

License:        MIT
URL:            https://src.fedoraproject.or/rpms/moby-packaging
Source:         macros.moby
Source:         LICENSE

BuildArch:      noarch

%description
%{summary}.


%package -n moby-filesystem
Summary:        Filesystem package for the Moby/Docker stack
License:        LicenseRef-Not-Copyrightable

%description -n moby-filesystem
%{summary}.


%package -n moby-rpm-macros
Summary:        RPM Macros for the Moby/Docker stack

%description -n moby-rpm-macros
%{summary}.


%prep
%autosetup -c -T
cp -p %{sources} .


%install
# moby-filesystem
mkdir -p %{buildroot}%{_libexecdir}/docker
mkdir %{buildroot}%{_libexecdir}/docker/cli-plugins
# moby-rpm-macros
install -Dpm 0644 macros.moby -t %{buildroot}%{_rpmmacrodir}


%files -n moby-filesystem
%dir %{_libexecdir}/docker
%dir %{_libexecdir}/docker/cli-plugins


%files -n moby-rpm-macros
%license LICENSE
%{_rpmmacrodir}/macros.moby


%changelog
* Fri Apr 12 2024 Maxwell G <maxwell@gtmx.me> - 1.0.0-1
- Initial package
